Package org.kapott.hbci.manager

# Class FlickerCode.Startcode

java.lang.Object
org.kapott.hbci.manager.FlickerCode.DE
org.kapott.hbci.manager.FlickerCode.Startcode

Enclosing class:
  `FlickerCode`

public class FlickerCode.Startcode extends FlickerCode.DE
Bean fuer die Eigenschaften des Startcodes. Selbstverstaendlich sind hier so einige Sachen anders codiert als im DE. Waer ja auch zu einfach sonst. Die Laengen-Angabe ist anders codiert (hex statt dec). Und nach der Laenge kommen nicht sofort die Nutzdaten sondern erst noch die Control-Bytes.

## Field Summary

Fields
Modifier and Type
Field
Description
`List<Integer>`
`controlBytes`
Die Control-Bytes.

### Fields inherited from class org.kapott.hbci.manager.FlickerCode.DE

`data, encoding, lde, ldeLen, length`

## Constructor Summary

Constructors
Constructor
Description
`Startcode()`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object obj)`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### controlBytes

public List<Integer> controlBytes
Die Control-Bytes. In der Regel sollte das nur eines sein.

## Constructor Details

### Startcode

public Startcode()

## Method Details

### toString

public String toString()

Overrides:
  `toString` in class `FlickerCode.DE`
See Also:
  - `FlickerCode.DE.toString()`

### equals

public boolean equals(Object obj)

Overrides:
  `equals` in class `FlickerCode.DE`
See Also:
  - `FlickerCode.DE.equals(java.lang.Object)`